This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 885132 - Remove Migrate and move operation from UserVmManager role
Remove Migrate and move operation from UserVmManager role
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Michal Skrivanek
Jiri Belka
virt
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-07 09:59 EST by Jiri Belka
Modified: 2013-06-11 04:44 EDT (History)
8 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2012-12-07 09:59:03 EST
Description of problem:

An user with UserVmManager role has following actions available by default:

VM/Administration Operations:
* Move VM
* Migrate

But there's not migrate action available in User Portal in Extended view.

Version-Release number of selected component (if applicable):

SI24.5

How reproducible:
100%

Steps to Reproduce:
1. An user with UserVmManager assigned to specific VM in Admin Portal
2. Log into User Portal as the user you setup in step '1'
3. Check menus in UP/Extended view for migration action
  
Actual results:

An user with UserVmManager role cannot migrate his VM even actions linked with the role should allow it.

Expected results:

An user with UserVmManager role should be able to migrate his VM.

Additional info:
Comment 1 Itamar Heim 2012-12-07 14:16:49 EST
actually, a power user has nothing to do with hosts.
actual fix should be to remove the migrate action from any user role and not allow to chose it for a custom user role.
Comment 2 Andrew Cathrow 2012-12-10 08:16:06 EST
Changing the bug to

Remove Migrate and move operation from UserVmManager role.
Comment 3 Libor Spevak 2012-12-17 07:54:01 EST
http://gerrit.ovirt.org/#/c/10156/
Comment 4 Libor Spevak 2013-01-02 03:58:10 EST
Merged to master.
Comment 5 Jiri Belka 2013-01-15 11:49:45 EST
OK, sf3.
Comment 7 Itamar Heim 2013-06-11 04:35:51 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 04:35:53 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 04:35:58 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:44:31 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.